function HomeController(ScreenService, General, templateManager){
    this.changePasswd = function(){
        ScreenService.openWindow("product#alterar_senha");
    };
    this.restarWidgets = container => {
        container.widgets.forEach(widget => {
            widget.isVisible = false;
        });
        let DTCARDAPIO = container.widgets[0].dataSourceFilter.find(dsf=>dsf.name === 'DTCARDAPIO');
        if(DTCARDAPIO){
            DTCARDAPIO.value = "@moment().format('DD/MM/YYYY')@";
        }
        container.widgets[0].activate();
        container.widgets[0].isVisible = true;
        container.widgets[0].reload();
    };

    this.onContainerInit = function(container){
    };

    this.setRemoveAccountOptionVisibility = function(homeContainer){
        const homeWidget = homeContainer.widgets.find(widget => widget.name === 'mainWidget');
        const removeAccountAction = homeWidget.actions.find(action => action.name === 'removeAccount');
        const userData = getLocalVar('userData');
        removeAccountAction.isVisible = userData && !userData.isAnon;
        
        const logoutAction = homeWidget.actions.find(action => action.name === 'logout');
        logoutAction.isVisible = getLocalVar("showLogout") == false ? getLocalVar("showLogout") : true;
    };
    
    this.setAppVersion = function(homeContainer) {
        const homeWidget = homeContainer.widgets.find(widget => widget.name === 'mainWidget');
        const versionAction = homeWidget.actions.find(action => action.name === 'versao_app');
        versionAction.readonly = true;
        versionAction.aclReadOnly = true;
        let versionText = "";
        if ('cordova' in window) {
            document.addEventListener('deviceready', function() {
                cordova.getAppVersion.getVersionNumber().then(function(version) {
                    versionText = version;
                }).catch(function(error) {
                    versionText = "0.0.0";
                    console.error('Erro ao obter a versão do aplicativo:', error);
                });
            }, false);
        } else {
            versionText = "0.0.0";
        }
        versionAction.label = "Versão do App: " + versionText;
    };
    
    this.setBackVersion = function(homeContainer) {
        const homeWidget = homeContainer.widgets.find(widget => widget.name === 'mainWidget');
        const versionAction = homeWidget.actions.find(action => action.name === 'versao_back');
        versionAction.readonly = true;
        versionAction.aclReadOnly = true;
        let versionText;
        try {
            versionText = getLocalVar("app_version") ? getLocalVar("app_version") : "0.0.0";
        } catch (error) {
            versionText = "0.0.0";
        }
     
        versionAction.label = "Versão BackEnd: " + versionText; 
    };
}

Configuration(function (ContextRegister) {
    ContextRegister.register('HomeController', HomeController);
});